<?php

namespace App\Enums;

use Filament\Support\Contracts\HasLabel;

enum WeightGoal: string implements HasLabel
{
    case LOSE_WEIGHT = 'lose_weight';
    case MAINTAIN_WEIGHT = 'maintain_weight';
    case GAIN_WEIGHT = 'gain_weight';

    public function getLabel(): string
    {
        return match ($this) {
            self::LOSE_WEIGHT => __('enums.weight_goal.lose_weight'),
            self::MAINTAIN_WEIGHT => __('enums.weight_goal.maintain_weight'),
            self::GAIN_WEIGHT => __('enums.weight_goal.gain_weight'),
        };
    }
}
